<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
	<extension
			point="org.eclipse.ui.perspectives">
		<perspective
				class="org.eclipse.papyrus.robotics.perspective.PapyrusRoboticsPerspective"
				icon="platform:/plugin/org.eclipse.papyrus.robotics.diagrams/icons/robotics-16x16.png"
				id="org.eclipse.papyrus.robotics.perspective"
				name="Papyrus for Robotics">
		</perspective>
	</extension>
	<extension
			point="org.eclipse.ui.navigator.navigatorContent">
		<commonWizard
				type="new"
				wizardId="org.eclipse.papyrus.robotics.wizards.createproject">
			<enablement>
				<with variable="activeWorkbenchWindow.activePerspective">
					<equals value="org.eclipse.papyrus.robotics.perspective"/>
				</with>
			</enablement>
		</commonWizard>
		<commonWizard
				type="new"
				wizardId="org.eclipse.papyrus.robotics.wizards.createmodel">
			<enablement>
				<with variable="activeWorkbenchWindow.activePerspective">
					<equals value="org.eclipse.papyrus.robotics.perspective"/>
				</with>
			</enablement>
		</commonWizard>
	</extension>

</plugin>
